Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdRenderAttributes Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
| Clear the contents of the object.
HRESULT | SetForceAttribs ([in] BOOL bMode)
HRESULT | SetFaceOpacity ([in] float fOpacity)
HRESULT | SetPointOpacity ([in] float fOpacity)
HRESULT | SetWireOpacity ([in] float fOpacity)
HRESULT | SetRenderZBuffer ([in] BOOL bMode)
HRESULT | SetRenderTwoSided ([in] BOOL bMode)
HRESULT | SetPointSize ([in] BOOL bIsForced,[in] float fPointSize)
HRESULT | SetPointColor ([in] BOOL bIsForced,[in] float fRed,[in] float fGreen,[in] float fBlue)
HRESULT | SetWireColor ([in] BOOL bIsForced,[in] float fRed,[in] float fGreen,[in] float fBlue)
HRESULT | SetPointColorObj ([in] BOOL bIsForced,[in] IRdColor *pColor)
HRESULT | SetWireColorObj ([in] BOOL bIsForced,[in] IRdColor *pColor)
HRESULT | SetInvisible ([in] BOOL bMode)
HRESULT | SetCastShadows ([in] BOOL bMode)
HRESULT | SetReceiveShadows ([in] BOOL bMode)
HRESULT | SetLayerIndex ([in] RtDWORD dwIndex)
HRESULT | GetForceAttribs ([out, retval] BOOL *bMode)
HRESULT | GetFaceOpacity ([out, retval] float *fOpacity)
HRESULT | GetPointOpacity ([out, retval] float *fOpacity)
HRESULT | GetWireOpacity ([out, retval] float *fOpacity)
HRESULT | GetRenderZBuffer ([out, retval] BOOL *bMode)
HRESULT | GetRenderTwoSided ([out, retval] BOOL *bMode)
HRESULT | GetPointSize ([out] BOOL *bIsForced,[out] float *fPointSize)
HRESULT | GetPointColor ([out] BOOL *bIsForced,[out] float *fRed,[out] float *fGreen,[out] float *fBlue)
HRESULT | GetWireColor ([out] BOOL *bIsForced,[out] float *fRed,[out] float *fGreen,[out] float *fBlue)
HRESULT | GetInvisible ([out, retval] BOOL *bMode)
HRESULT | GetCastShadows ([out, retval] BOOL *bMode)
HRESULT | GetReceiveShadows ([out, retval] BOOL *bMode)
HRESULT | GetLayerIndex ([out, retval] RtDWORD *dwIndex)

## Detailed Description

This dataobject represents the common render attributes of entity in the scene.

## Member Function Documentation

HRESULT IRdRenderAttributes::Clear | ( | void |  | ) |

| Clear the contents of the object.

HRESULT IRdRenderAttributes::SetForceAttribs | ( | [in] BOOL | bMode | ) |

  | Set whether these attributes are forced to be used or a combination of parent attributes entity can be used. Parameters:
  bMode | specifies the forced mode (true) or standard mode (false).

HRESULT IRdRenderAttributes::SetFaceOpacity | ( | [in] float | fOpacity | ) |

  | Set the opacity of the faces. Parameters:
  fOpacity | specifies the opacity.

HRESULT IRdRenderAttributes::SetPointOpacity | ( | [in] float | fOpacity | ) |

  | Set the opacity of the vertices (points). Parameters:
  fOpacity | specifies the opacity.

HRESULT IRdRenderAttributes::SetWireOpacity | ( | [in] float | fOpacity | ) |

  | Set the opacity of the edges. Parameters:
  fOpacity | specifies the opacity.

HRESULT IRdRenderAttributes::SetRenderZBuffer | ( | [in] BOOL | bMode | ) |

  | Specifies whether z-buffer should be pre-rendered prior to rendering this entity (true) or not (false). Parameters:
  bMode | specifies the z-buffer rendering mode.

HRESULT IRdRenderAttributes::SetRenderTwoSided | ( | [in] BOOL | bMode | ) |

  | Specifies whether entity should be rendered as two sided (true) or not (false). Parameters:
  bMode | specifies the two-sided rendering mode.

HRESULT IRdRenderAttributes::SetPointSize | ( | [in] BOOL | bIsForced,
|  | [in] float | fPointSize
| ) |

  | Set the size of the points. Parameters:
  bIsForced | specifies whether this size should replace the size stored in each vertex (true) or not (false)
  fPointSize | specifies the size of the point.

HRESULT IRdRenderAttributes::SetPointColor | ( | [in] BOOL | bIsForced,
|  | [in] float | fRed,
|  | [in] float | fGreen,
|  | [in] float | fBlue
| ) |

  | Set the color of the points. Parameters:
  bIsForced | specifies whether this color should replace the value stored in each vertex (true) or not (false)
  fRed | specifies the red color component.
  fGreen | specifies the green color component.
  fBlue | specifies the blue color component.

HRESULT IRdRenderAttributes::SetWireColor | ( | [in] BOOL | bIsForced,
|  | [in] float | fRed,
|  | [in] float | fGreen,
|  | [in] float | fBlue
| ) |

  | Set the color of the edges. Parameters:
  bIsForced | specifies whether this color should replace the value stored in each edge (true) or not (false)
  fRed | specifies the red color component.
  fGreen | specifies the green color component.
  fBlue | specifies the blue color component.

HRESULT IRdRenderAttributes::SetPointColorObj | ( | [in] BOOL | bIsForced,
|  | [in] IRdColor * | pColor
| ) |

  | Set the color of the points. Parameters:
  bIsForced | specifies whether this color should replace the value stored in each vertex (true) or not (false)
  pColor | specifies the color object.

HRESULT IRdRenderAttributes::SetWireColorObj | ( | [in] BOOL | bIsForced,
|  | [in] IRdColor * | pColor
| ) |

  | Set the color of the edges. Parameters:
  bIsForced | specifies whether this color should replace the value stored in each edge (true) or not (false)
  pColor | specifies the color object.

HRESULT IRdRenderAttributes::SetInvisible | ( | [in] BOOL | bMode | ) |

  | Set visibility of the entity. Parameters:
  bMode | specifies the visible mode (true) or invisible mode (false).

HRESULT IRdRenderAttributes::SetCastShadows | ( | [in] BOOL | bMode | ) |

  | Set shadow casting ability of the entity. Parameters:
  bMode | specifies that shadows can be casted (true) or not casted (false).

HRESULT IRdRenderAttributes::SetReceiveShadows | ( | [in] BOOL | bMode | ) |

  | Set shadow receiving ability of the entity. Parameters:
  bMode | specifies that shadows can be received (true) or not received (false).

HRESULT IRdRenderAttributes::SetLayerIndex | ( | [in] RtDWORD | dwIndex | ) |

  | Set the index of the geometry layer. Parameters:
  dwIndex | specifies the layer of the geometry.

HRESULT IRdRenderAttributes::GetForceAttribs | ( | [out, retval] BOOL * | bMode | ) |

  | Get status of the forced mode. Parameters:
  bMode | is filled with the forced mode (true) or standard mode (false).

HRESULT IRdRenderAttributes::GetFaceOpacity | ( | [out, retval] float * | fOpacity | ) |

  | Get the opacity of the faces. Parameters:
  fOpacity | is filled with the opacity.

HRESULT IRdRenderAttributes::GetPointOpacity | ( | [out, retval] float * | fOpacity | ) |

  | Get the opacity of the vertices (points). Parameters:
  fOpacity | is filled with the opacity.

HRESULT IRdRenderAttributes::GetWireOpacity | ( | [out, retval] float * | fOpacity | ) |

  | Get the opacity of the edges. Parameters:
  fOpacity | is filled with the opacity.

HRESULT IRdRenderAttributes::GetRenderZBuffer | ( | [out, retval] BOOL * | bMode | ) |

  | Get the z-buffer rendering mode statuss. Parameters:
  bMode | is filled with the z-buffer rendering mode.

HRESULT IRdRenderAttributes::GetRenderTwoSided | ( | [out, retval] BOOL * | bMode | ) |

  | Get the two sided rendering mode status. Parameters:
  bMode | is filled with the two-sided rendering mode.

HRESULT IRdRenderAttributes::GetPointSize | ( | [out] BOOL * | bIsForced,
|  | [out] float * | fPointSize
| ) |

  | Get the size of the points. Parameters:
  bIsForced | is filled with boolean value which specifies whether this size should replace the size stored in each vertex (true) or not (false)
  fPointSize | is filled with the size of the point.

HRESULT IRdRenderAttributes::GetPointColor | ( | [out] BOOL * | bIsForced,
|  | [out] float * | fRed,
|  | [out] float * | fGreen,
|  | [out] float * | fBlue
| ) |

  | Get the color of the points. Parameters:
  bIsForced | is filled with boolean value which specifies whether this color should replace the value stored in each vertex (true) or not (false)
  fRed | is filled with the red color component.
  fGreen | is filled with the green color component.
  fBlue | is filled with the blue color component.

HRESULT IRdRenderAttributes::GetWireColor | ( | [out] BOOL * | bIsForced,
|  | [out] float * | fRed,
|  | [out] float * | fGreen,
|  | [out] float * | fBlue
| ) |

  | Get the color of the points. Parameters:
  bIsForced | is filled with boolean value which specifies whether this color should replace the value stored in each edge (true) or not (false)
  fRed | is filled with the red color component.
  fGreen | is filled with the green color component.
  fBlue | is filled with the blue color component.

HRESULT IRdRenderAttributes::GetInvisible | ( | [out, retval] BOOL * | bMode | ) |

  | Get visibility of the entity. Parameters:
  bMode | is filled with the boolean which specifies the visible mode (true) or invisible mode (false).

HRESULT IRdRenderAttributes::GetCastShadows | ( | [out, retval] BOOL * | bMode | ) |

  | Get shadow casting ability of the entity. Parameters:
  bMode | is filled with the boolean which specifies that shadows can be casted (true) or not casted (false).

HRESULT IRdRenderAttributes::GetReceiveShadows | ( | [out, retval] BOOL * | bMode | ) |

  | Get shadow receiving ability of the entity. Parameters:
  bMode | is filled with the boolean which specifies that shadows can be received (true) or not received (false).

HRESULT IRdRenderAttributes::GetLayerIndex | ( | [out, retval] RtDWORD * | dwIndex | ) |

  | Get the index of the geometry layer. Parameters:
  dwIndex | is filled with the layer of the geometry.